package ru.yandex.webmaster3.core.http.mirrors;

import ru.yandex.webmaster3.core.http.ActionResponse;
import ru.yandex.webmaster3.core.http.ActionStatus;

import java.util.UUID;

/**
 * @author tsyplyaev
 */
public class GetMirrorGenerationInfoResponse implements ActionResponse.NormalResponse {
    private UUID currentGenerationId;
    private UUID newGenerationId;
    private Integer currentGenerationHashCode;
    private Integer newGenerationHashCode;

    public GetMirrorGenerationInfoResponse() {
    }

    public GetMirrorGenerationInfoResponse(UUID currentGenerationId, UUID newGenerationId, Integer currentGenerationHashCode, Integer newGenerationHashCode) {
        this.currentGenerationId = currentGenerationId;
        this.newGenerationId = newGenerationId;
        this.currentGenerationHashCode = currentGenerationHashCode;
        this.newGenerationHashCode = newGenerationHashCode;
    }

    public UUID getCurrentGenerationId() {
        return currentGenerationId;
    }

    public void setCurrentGenerationId(UUID currentGenerationId) {
        this.currentGenerationId = currentGenerationId;
    }

    public UUID getNewGenerationId() {
        return newGenerationId;
    }

    public void setNewGenerationId(UUID newGenerationId) {
        this.newGenerationId = newGenerationId;
    }

    public Integer getCurrentGenerationHashCode() {
        return currentGenerationHashCode;
    }

    public void setCurrentGenerationHashCode(int currentGenerationHashCode) {
        this.currentGenerationHashCode = currentGenerationHashCode;
    }

    public Integer getNewGenerationHashCode() {
        return newGenerationHashCode;
    }

    public void setNewGenerationHashCode(int newGenerationHashCode) {
        this.newGenerationHashCode = newGenerationHashCode;
    }
}
